UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQSourceEventULBMessageInfo Class Reference

UMQ ULB Message Info class. This info object is delivered with a source event indicating that a ULB message has been assigned, consumed, discarded, etc. More...

Inheritance diagram for com.latencybusters.lbm.UMQSourceEventULBMessageInfo:

## Public Member Functions
| UMQSourceEventULBMessageInfo (int flags, UMQMessageId msgId, UInt64 regId, uint firstSequenceNumber, uint lastSequenceNumber, uint assignId, uint appSetIdx, Object clientObject, String receiver)
| Creates a UMQSourceEventULBMessageInfo object and initializes fields to the supplied values. More...
virtual uint | firstSequenceNumber ()
| Get the sequence number of the first fragment of the message. More...
virtual uint | lastSequenceNumber ()
| Get the sequence number of the last fragment of the message. More...
virtual UMQMessageId | messageId ()
| Get the message Id object identifying the message. More...
virtual Object | clientObject ()
| Get the client-supplied callback object. More...
int | flags ()
| Get informational flags for this info object. More...
UInt64 | registrationId ()
| Get Registration ID for the receiver. More...
uint | assignmentId ()
| Get Assignment ID for the receiver. More...
uint | applicationSetIndex ()
| Get Application Set Index the receiver is in. More...
String | receiver ()
| Get receivers immediate message target string for the receiver associated with this info object. More...

## Detailed Description

UMQ ULB Message Info class. This info object is delivered with a source event indicating that a ULB message has been assigned, consumed, discarded, etc.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQSourceEventULBMessageInfo.UMQSourceEventULBMessageInfo | ( | int | flags,
|  | UMQMessageId | msgId,
|  | UInt64 | regId,
|  | uint | firstSequenceNumber,
|  | uint | lastSequenceNumber,
|  | uint | assignId,
|  | uint | appSetIdx,
|  | Object | clientObject,
|  | String | receiver
| ) |  |

Creates a UMQSourceEventULBMessageInfo object and initializes fields to the supplied values.

LBMEInvalException An invalid parameter was specified.

Parameters

  flags | Informational flags.
  msgId | The Message ID of the message.
  regId | The Registration ID of the receiver.
  firstSequenceNumber | The sequence number of the first fragment associated with the message.
  lastSequenceNumber | The sequence number of the last fragment associated with the message.
  assignId | The Assignment ID of the receiver.
  appSetIdx | The Application Set Index the receiver is in.
  clientObject | The client object associated with the message.
  receiver | The immediate message target string for the receiver.

## Member Function Documentation

uint com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.applicationSetIndex | ( |  | ) |
| inherited

Get Application Set Index the receiver is in.

Returns
  Application Set Index for the receiver associated with this info object.

uint com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.assignmentId | ( |  | ) |
| inherited

Get Assignment ID for the receiver.

Returns
  Assignment ID for the receiver associated with this info object.

virtual Object com.latencybusters.lbm.UMQSourceEventULBMessageInfo.clientObject | ( |  | ) |
| virtual

Get the client-supplied callback object.

Returns
  Client-supplied object.

virtual uint com.latencybusters.lbm.UMQSourceEventULBMessageInfo.firstSequenceNumber | ( |  | ) |
| virtual

Get the sequence number of the first fragment of the message.

Returns
  Sequence number of the first fragment of the message.

int com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.flags | ( |  | ) |
| inherited

Get informational flags for this info object.

Returns
  Flags.

virtual uint com.latencybusters.lbm.UMQSourceEventULBMessageInfo.lastSequenceNumber | ( |  | ) |
| virtual

Get the sequence number of the last fragment of the message.

Returns
  Sequence number of the last fragment of the message.

virtual UMQMessageId com.latencybusters.lbm.UMQSourceEventULBMessageInfo.messageId | ( |  | ) |
| virtual

Get the message Id object identifying the message.

Returns
  A UMQMessageId object identifying the message.

String com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.receiver | ( |  | ) |
| inherited

Get receivers immediate message target string for the receiver associated with this info object.

Returns
  Receivers immediate message target string for the receiver associated with this info object.

References com.latencybusters.lbm.LBM.UMQ_ULB_MAX_RECEIVER_STRLEN.

UInt64 com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.registrationId | ( |  | ) |
| inherited

Get Registration ID for the receiver.

Returns
  Registration ID for the receiver associated with this info object.

The documentation for this class was generated from the following file:

- UMQSourceEventULBMessageInfo.cs